<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.bd.africa</groupId>
        <artifactId>bd-business</artifactId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>

    <artifactId>bd-business-report</artifactId>

    <description>
        bd-business-report报表服务
    </description>

    <dependencies>

        <!-- 报表服务接口 -->
        <dependency>
            <groupId>com.bd.africa</groupId>
            <artifactId>bd-api-report</artifactId>
        </dependency>

        <dependency>
            <groupId>com.bd.africa</groupId>
            <artifactId>bd-api-sale</artifactId>
        </dependency>

        <!-- 业务服务公共 -->
        <dependency>
            <groupId>com.bd.africa</groupId>
            <artifactId>bd-business-common</artifactId>
        </dependency>

    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.3.12.RELEASE</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
